import type { Person } from "../../../types/js";
import type { Session, Settings } from "../../../types/js";
import { AttributeAlreadyExistsError, MissingPersonError, NetworkError, Result } from "./errors";
export declare const createPerson: () => Promise<Result<{
    session: Session;
    person: Person;
    settings: Settings;
}, NetworkError>>;
export declare const updatePersonUserId: (userId: string) => Promise<Result<{
    person: Person;
    settings: Settings;
}, NetworkError | MissingPersonError>>;
export declare const updatePersonAttribute: (key: string, value: string) => Promise<Result<{
    person: Person;
    settings: Settings;
}, NetworkError | MissingPersonError>>;
export declare const attributeAlreadySet: (key: string, value: string) => boolean;
export declare const attributeAlreadyExists: (key: string) => boolean;
export declare const setPersonUserId: (userId: string) => Promise<Result<void, NetworkError | MissingPersonError | AttributeAlreadyExistsError>>;
export declare const setPersonAttribute: (key: string, value: string) => Promise<Result<void, NetworkError | MissingPersonError>>;
export declare const resetPerson: () => Promise<Result<void, NetworkError>>;
export declare const getPerson: () => Person;
