import { z } from "zod";
export declare const ZEventClassNoCodeConfig: z.ZodObject<{
    type: z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>;
    pageUrl: z.ZodOptional<z.ZodObject<{
        value: z.ZodString;
        rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
    }, "strip", z.ZodTypeAny, {
        value?: string;
        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
    }, {
        value?: string;
        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
    }>>;
    innerHtml: z.ZodOptional<z.ZodObject<{
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        value?: string;
    }, {
        value?: string;
    }>>;
    cssSelector: z.ZodOptional<z.ZodObject<{
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        value?: string;
    }, {
        value?: string;
    }>>;
}, "strip", z.ZodTypeAny, {
    type?: "innerHtml" | "pageUrl" | "cssSelector";
    pageUrl?: {
        value?: string;
        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
    };
    innerHtml?: {
        value?: string;
    };
    cssSelector?: {
        value?: string;
    };
}, {
    type?: "innerHtml" | "pageUrl" | "cssSelector";
    pageUrl?: {
        value?: string;
        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
    };
    innerHtml?: {
        value?: string;
    };
    cssSelector?: {
        value?: string;
    };
}>;
export type TEventClassNoCodeConfig = z.infer<typeof ZEventClassNoCodeConfig>;
export declare const ZEventClass: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    description: z.ZodString;
    noCodeConfig: z.ZodObject<{
        type: z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>;
        pageUrl: z.ZodOptional<z.ZodObject<{
            value: z.ZodString;
            rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
        }, "strip", z.ZodTypeAny, {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        }, {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        }>>;
        innerHtml: z.ZodOptional<z.ZodObject<{
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            value?: string;
        }, {
            value?: string;
        }>>;
        cssSelector: z.ZodOptional<z.ZodObject<{
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            value?: string;
        }, {
            value?: string;
        }>>;
    }, "strip", z.ZodTypeAny, {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    }, {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    }>;
    type: z.ZodEnum<["code", "noCode", "automatic"]>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    name?: string;
    description?: string;
    noCodeConfig?: {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    };
    type?: "code" | "noCode" | "automatic";
}, {
    id?: string;
    name?: string;
    description?: string;
    noCodeConfig?: {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    };
    type?: "code" | "noCode" | "automatic";
}>;
export type TEventClass = z.infer<typeof ZEventClass>;
