import { z } from "zod";
export declare const ZResponseData: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
export type TResponseData = z.infer<typeof ZResponseData>;
declare const ZResponse: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    updatedAt: z.ZodString;
    surveyId: z.ZodString;
    person: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributes?: Record<string, string | number>;
    }, {
        id?: string;
        attributes?: Record<string, string | number>;
    }>>;
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: string;
    updatedAt?: string;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
    };
    finished?: boolean;
    data?: Record<string, string | number>;
}, {
    id?: string;
    createdAt?: string;
    updatedAt?: string;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
    };
    finished?: boolean;
    data?: Record<string, string | number>;
}>;
export type TResponse = z.infer<typeof ZResponse>;
export declare const ZResponseInput: z.ZodObject<{
    surveyId: z.ZodString;
    personId: z.ZodNullable<z.ZodString>;
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
}, "strip", z.ZodTypeAny, {
    surveyId?: string;
    personId?: string;
    finished?: boolean;
    data?: Record<string, string | number>;
}, {
    surveyId?: string;
    personId?: string;
    finished?: boolean;
    data?: Record<string, string | number>;
}>;
export type TResponseInput = z.infer<typeof ZResponseInput>;
export {};
