import { z } from "zod";
export declare const ZSurveyThankYouCard: z.ZodObject<{
    enabled: z.ZodBoolean;
    headline: z.ZodOptional<z.ZodString>;
    subheader: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    enabled?: boolean;
    headline?: string;
    subheader?: string;
}, {
    enabled?: boolean;
    headline?: string;
    subheader?: string;
}>;
export type TSurveyThankYouCard = z.infer<typeof ZSurveyThankYouCard>;
export declare const ZSurveyChoice: z.ZodObject<{
    id: z.ZodString;
    label: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id?: string;
    label?: string;
}, {
    id?: string;
    label?: string;
}>;
export declare const ZSurveyLogicCondition: z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>;
export declare const ZSurveyLogicBase: z.ZodObject<{
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
    value: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
}, "strip", z.ZodTypeAny, {
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual" | "includesAll" | "includesOne";
    value?: string | number | string[];
    destination?: string;
}, {
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual" | "includesAll" | "includesOne";
    value?: string | number | string[];
    destination?: string;
}>;
export declare const ZSurveyOpenTextLogic: z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
    value: z.ZodUndefined;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}>;
export declare const ZSurveyMultipleChoiceSingleLogic: z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
    value: z.ZodString;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals";
    value?: string;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals";
    value?: string;
}>;
export declare const ZSurveyMultipleChoiceMultiLogic: z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
    value: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
    value?: string[];
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
    value?: string[];
}>;
export declare const ZSurveyNPSLogic: z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
    value: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: number;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: number;
}>;
export declare const ZSurveyLogic: z.ZodUnion<[z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
    value: z.ZodUndefined;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
    value: z.ZodString;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals";
    value?: string;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals";
    value?: string;
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
    value: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
    value?: string[];
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
    value?: string[];
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
    value: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: number;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: number;
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
    value: z.ZodUndefined;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
    value: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: number;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: number;
}>]>;
export declare const ZSurveyOpenTextQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"openText">;
    placeholder: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "openText";
    placeholder?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "openText";
    placeholder?: string;
}>;
export declare const ZSurveyMultipleChoiceSingleQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"multipleChoiceSingle">;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceSingle";
    choices?: {
        id?: string;
        label?: string;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceSingle";
    choices?: {
        id?: string;
        label?: string;
    }[];
}>;
export declare const ZSurveyMultipleChoiceMultiQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"multipleChoiceMulti">;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceMulti";
    choices?: {
        id?: string;
        label?: string;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceMulti";
    choices?: {
        id?: string;
        label?: string;
    }[];
}>;
export declare const ZSurveyNPSQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"nps">;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "nps";
    lowerLabel?: string;
    upperLabel?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "nps";
    lowerLabel?: string;
    upperLabel?: string;
}>;
export declare const ZSurveyCTAQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"cta">;
    html: z.ZodOptional<z.ZodString>;
    buttonUrl: z.ZodOptional<z.ZodString>;
    buttonExternal: z.ZodBoolean;
    dismissButtonLabel: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "cta";
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "cta";
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
}>;
export declare const ZSurveyRatingQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"rating">;
    scale: z.ZodUnion<[z.ZodLiteral<"number">, z.ZodLiteral<"smiley">, z.ZodLiteral<"star">]>;
    range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "rating";
    scale?: "number" | "smiley" | "star";
    range?: 10 | 3 | 4 | 5 | 7;
    lowerLabel?: string;
    upperLabel?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "rating";
    scale?: "number" | "smiley" | "star";
    range?: 10 | 3 | 4 | 5 | 7;
    lowerLabel?: string;
    upperLabel?: string;
}>;
export declare const ZSurveyQuestion: z.ZodUnion<[z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"openText">;
    placeholder: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "openText";
    placeholder?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "openText";
    placeholder?: string;
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"multipleChoiceSingle">;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceSingle";
    choices?: {
        id?: string;
        label?: string;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceSingle";
    choices?: {
        id?: string;
        label?: string;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"multipleChoiceMulti">;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceMulti";
    choices?: {
        id?: string;
        label?: string;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceMulti";
    choices?: {
        id?: string;
        label?: string;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"nps">;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "nps";
    lowerLabel?: string;
    upperLabel?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "nps";
    lowerLabel?: string;
    upperLabel?: string;
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"cta">;
    html: z.ZodOptional<z.ZodString>;
    buttonUrl: z.ZodOptional<z.ZodString>;
    buttonExternal: z.ZodBoolean;
    dismissButtonLabel: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "cta";
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "cta";
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"rating">;
    scale: z.ZodUnion<[z.ZodLiteral<"number">, z.ZodLiteral<"smiley">, z.ZodLiteral<"star">]>;
    range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "rating";
    scale?: "number" | "smiley" | "star";
    range?: 10 | 3 | 4 | 5 | 7;
    lowerLabel?: string;
    upperLabel?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "rating";
    scale?: "number" | "smiley" | "star";
    range?: 10 | 3 | 4 | 5 | 7;
    lowerLabel?: string;
    upperLabel?: string;
}>]>;
export declare const ZSurveyQuestions: z.ZodArray<z.ZodUnion<[z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"openText">;
    placeholder: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "openText";
    placeholder?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "openText";
    placeholder?: string;
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"multipleChoiceSingle">;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceSingle";
    choices?: {
        id?: string;
        label?: string;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceSingle";
    choices?: {
        id?: string;
        label?: string;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"multipleChoiceMulti">;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceMulti";
    choices?: {
        id?: string;
        label?: string;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "multipleChoiceMulti";
    choices?: {
        id?: string;
        label?: string;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"nps">;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "nps";
    lowerLabel?: string;
    upperLabel?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "nps";
    lowerLabel?: string;
    upperLabel?: string;
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"cta">;
    html: z.ZodOptional<z.ZodString>;
    buttonUrl: z.ZodOptional<z.ZodString>;
    buttonExternal: z.ZodBoolean;
    dismissButtonLabel: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "cta";
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "cta";
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
        value: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    }>]>, "many">>;
    type: z.ZodLiteral<"rating">;
    scale: z.ZodUnion<[z.ZodLiteral<"number">, z.ZodLiteral<"smiley">, z.ZodLiteral<"star">]>;
    range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "rating";
    scale?: "number" | "smiley" | "star";
    range?: 10 | 3 | 4 | 5 | 7;
    lowerLabel?: string;
    upperLabel?: string;
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    logic?: ({
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
        value?: string[];
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    } | {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: number;
    })[];
    type?: "rating";
    scale?: "number" | "smiley" | "star";
    range?: 10 | 3 | 4 | 5 | 7;
    lowerLabel?: string;
    upperLabel?: string;
}>]>, "many">;
export type TSurveyQuestions = z.infer<typeof ZSurveyQuestions>;
export declare const ZSurveyAttributeFilter: z.ZodObject<{
    id: z.ZodString;
    attributeClassId: z.ZodString;
    condition: z.ZodEnum<["equals", "notEquals"]>;
    value: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id?: string;
    attributeClassId?: string;
    condition?: "equals" | "notEquals";
    value?: string;
}, {
    id?: string;
    attributeClassId?: string;
    condition?: "equals" | "notEquals";
    value?: string;
}>;
export declare const ZSurvey: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    updatedAt: z.ZodString;
    name: z.ZodString;
    type: z.ZodUnion<[z.ZodLiteral<"web">, z.ZodLiteral<"email">, z.ZodLiteral<"link">, z.ZodLiteral<"mobile">]>;
    environmentId: z.ZodString;
    status: z.ZodUnion<[z.ZodLiteral<"draft">, z.ZodLiteral<"inProgress">, z.ZodLiteral<"archived">, z.ZodLiteral<"paused">, z.ZodLiteral<"completed">]>;
    attributeFilters: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        attributeClassId: z.ZodString;
        condition: z.ZodEnum<["equals", "notEquals"]>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }, {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }>, "many">;
    displayOption: z.ZodUnion<[z.ZodLiteral<"displayOnce">, z.ZodLiteral<"displayMultiple">, z.ZodLiteral<"respondMultiple">]>;
    autoClose: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
    triggers: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        description: z.ZodString;
        noCodeConfig: z.ZodObject<{
            type: z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>;
            pageUrl: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
                rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
            }, "strip", z.ZodTypeAny, {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            }, {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            }>>;
            innerHtml: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value?: string;
            }, {
                value?: string;
            }>>;
            cssSelector: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value?: string;
            }, {
                value?: string;
            }>>;
        }, "strip", z.ZodTypeAny, {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        }, {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        }>;
        type: z.ZodEnum<["code", "noCode", "automatic"]>;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        name?: string;
        description?: string;
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        type?: "code" | "noCode" | "automatic";
    }, {
        id?: string;
        name?: string;
        description?: string;
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        type?: "code" | "noCode" | "automatic";
    }>, "many">;
    recontactDays: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
    questions: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
            value: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>]>, "many">>;
        type: z.ZodLiteral<"openText">;
        placeholder: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "openText";
        placeholder?: string;
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "openText";
        placeholder?: string;
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
            value: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>]>, "many">>;
        type: z.ZodLiteral<"multipleChoiceSingle">;
        choices: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            label: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            label?: string;
        }, {
            id?: string;
            label?: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "multipleChoiceSingle";
        choices?: {
            id?: string;
            label?: string;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "multipleChoiceSingle";
        choices?: {
            id?: string;
            label?: string;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
            value: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>]>, "many">>;
        type: z.ZodLiteral<"multipleChoiceMulti">;
        choices: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            label: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            label?: string;
        }, {
            id?: string;
            label?: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "multipleChoiceMulti";
        choices?: {
            id?: string;
            label?: string;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "multipleChoiceMulti";
        choices?: {
            id?: string;
            label?: string;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
            value: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>]>, "many">>;
        type: z.ZodLiteral<"nps">;
        lowerLabel: z.ZodString;
        upperLabel: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "nps";
        lowerLabel?: string;
        upperLabel?: string;
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "nps";
        lowerLabel?: string;
        upperLabel?: string;
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
            value: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>]>, "many">>;
        type: z.ZodLiteral<"cta">;
        html: z.ZodOptional<z.ZodString>;
        buttonUrl: z.ZodOptional<z.ZodString>;
        buttonExternal: z.ZodBoolean;
        dismissButtonLabel: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "cta";
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "cta";
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"includesAll">, z.ZodLiteral<"includesOne">]>>;
            value: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"submitted">, z.ZodLiteral<"skipped">, z.ZodLiteral<"lessThan">, z.ZodLiteral<"lessEqual">, z.ZodLiteral<"greaterThan">, z.ZodLiteral<"greaterEqual">, z.ZodLiteral<"equals">, z.ZodLiteral<"notEquals">]>>;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        }>]>, "many">>;
        type: z.ZodLiteral<"rating">;
        scale: z.ZodUnion<[z.ZodLiteral<"number">, z.ZodLiteral<"smiley">, z.ZodLiteral<"star">]>;
        range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
        lowerLabel: z.ZodString;
        upperLabel: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "rating";
        scale?: "number" | "smiley" | "star";
        range?: 10 | 3 | 4 | 5 | 7;
        lowerLabel?: string;
        upperLabel?: string;
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "rating";
        scale?: "number" | "smiley" | "star";
        range?: 10 | 3 | 4 | 5 | 7;
        lowerLabel?: string;
        upperLabel?: string;
    }>]>, "many">;
    thankYouCard: z.ZodObject<{
        enabled: z.ZodBoolean;
        headline: z.ZodOptional<z.ZodString>;
        subheader: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    }, {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    }>;
    analytics: z.ZodObject<{
        numDisplays: z.ZodNumber;
        responseRate: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        numDisplays?: number;
        responseRate?: number;
    }, {
        numDisplays?: number;
        responseRate?: number;
    }>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: string;
    updatedAt?: string;
    name?: string;
    type?: "web" | "email" | "link" | "mobile";
    environmentId?: string;
    status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
    attributeFilters?: {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }[];
    displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
    autoClose?: number;
    triggers?: {
        id?: string;
        name?: string;
        description?: string;
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        type?: "code" | "noCode" | "automatic";
    }[];
    recontactDays?: number;
    questions?: ({
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "openText";
        placeholder?: string;
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "multipleChoiceSingle";
        choices?: {
            id?: string;
            label?: string;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "multipleChoiceMulti";
        choices?: {
            id?: string;
            label?: string;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "nps";
        lowerLabel?: string;
        upperLabel?: string;
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "cta";
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "rating";
        scale?: "number" | "smiley" | "star";
        range?: 10 | 3 | 4 | 5 | 7;
        lowerLabel?: string;
        upperLabel?: string;
    })[];
    thankYouCard?: {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    };
    analytics?: {
        numDisplays?: number;
        responseRate?: number;
    };
}, {
    id?: string;
    createdAt?: string;
    updatedAt?: string;
    name?: string;
    type?: "web" | "email" | "link" | "mobile";
    environmentId?: string;
    status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
    attributeFilters?: {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }[];
    displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
    autoClose?: number;
    triggers?: {
        id?: string;
        name?: string;
        description?: string;
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        type?: "code" | "noCode" | "automatic";
    }[];
    recontactDays?: number;
    questions?: ({
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "openText";
        placeholder?: string;
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "multipleChoiceSingle";
        choices?: {
            id?: string;
            label?: string;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "multipleChoiceMulti";
        choices?: {
            id?: string;
            label?: string;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "nps";
        lowerLabel?: string;
        upperLabel?: string;
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "cta";
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        logic?: ({
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "includesAll" | "includesOne";
            value?: string[];
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        } | {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: number;
        })[];
        type?: "rating";
        scale?: "number" | "smiley" | "star";
        range?: 10 | 3 | 4 | 5 | 7;
        lowerLabel?: string;
        upperLabel?: string;
    })[];
    thankYouCard?: {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    };
    analytics?: {
        numDisplays?: number;
        responseRate?: number;
    };
}>;
export type TSurvey = z.infer<typeof ZSurvey>;
